AC:NL Welcme amiibo doesnt work for me on Luma 6.3.1 11.2 emuNAND

Discussion in '3DS - Homebrew Development and Emulators' started by Nanohana, Nov 3, 2016.

  1. Nanohana
    OP

    Nanohana Newbie

    Newcomer
    3
    0
    Jun 25, 2016
    Serbia, Republic of
    Hello sirs, as i wrote in the thread name it doesnt work for me. I have original cartridge of ACNL and installed update through eshop. It is stuck when i start it on "Nintendo 3ds" animation. What can i do?
    I updated my Luma3ds from5.3.1 to latest stabile version and nightly one through lumaupdate.cia. Redownloaded update couple of times. It still desnt work.

    ps. Sorry for my bad English. Not native :<
     
  2. Elveman

    Elveman B9S Shitpost Race Smogonite

    Member
    GBAtemp Patron
    Elveman is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    436
    256
    Feb 1, 2015
    Russia
    Moscow city
    Have you got "firmware.bin" in your luma/ folder? If you have, delete this file - there's no reason to use it now.
     
    Last edited by Elveman, Nov 3, 2016
    Magical Sheep likes this.
  3. Magical Sheep

    Magical Sheep The Super Stylish Black Cat

    Member
    263
    127
    Jan 22, 2016
    United States
    The Metaverse
    Make sure to have the option that allows the use of system modules disabled, too. If you just delete firmware.bin without checking that option, Luma won't boot properly.
     
    Elveman likes this.
  4. xtheman

    xtheman GBAtemp Guru

    Member
    5,844
    5,265
    Jan 28, 2016
    United States
    Also I hacked saves break the update too.
     
  5. Nanohana
    OP

    Nanohana Newbie

    Newcomer
    3
    0
    Jun 25, 2016
    Serbia, Republic of
    u da real mvp
    Can you please explain what was this file for?
     
  6. Elveman

    Elveman B9S Shitpost Race Smogonite

    Member
    GBAtemp Patron
    Elveman is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    436
    256
    Feb 1, 2015
    Russia
    Moscow city
  7. Joba

    Joba Newbie

    Newcomer
    3
    0
    Mar 23, 2016
    Finland
    It doesn't work for me either :/ I'm just on vanilla 10.3.0-28E. Stuck on the black Nintendo 3DS screen forever.

    EDIT: I tried updating the game both from the menu screen and through eShop.
     
    Last edited by Joba, Nov 3, 2016
  8. Elveman

    Elveman B9S Shitpost Race Smogonite

    Member
    GBAtemp Patron
    Elveman is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    436
    256
    Feb 1, 2015
    Russia
    Moscow city
    That's an external file for NATIVE_FIRM (kernel of your system in layman's terms). It could be useful for those using NTR CFW but now the NTR CFW is compatible with the newest version.
     
    Last edited by Elveman, Nov 3, 2016
  9. Magical Sheep

    Magical Sheep The Super Stylish Black Cat

    Member
    263
    127
    Jan 22, 2016
    United States
    The Metaverse
    it's mainly for loading an image kernel version, and for using NTR cfw.
    Edit: ninja'd.
    I believe you have to be on 11.0 or higher for it to work. It requires a kernel version of 2.52. (the kernel version is something along those lines. With the two and re fifty two. Yep.)
     
    Last edited by Magical Sheep, Nov 3, 2016
    Elveman likes this.
  10. Joba

    Joba Newbie

    Newcomer
    3
    0
    Mar 23, 2016
    Finland
    Ohhhh boy, I hope they don't do this with Pokemon Sun/Moon. Though the demo works fine for me.

    Thanks.
     
  11. Magical Sheep

    Magical Sheep The Super Stylish Black Cat

    Member
    263
    127
    Jan 22, 2016
    United States
    The Metaverse
    You're welcome. It's theorized that Nintendo will so that too. There's no solid evidence on it though. (at least I don't think there is.)
     
  12. Elveman

    Elveman B9S Shitpost Race Smogonite

    Member
    GBAtemp Patron
    Elveman is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    436
    256
    Feb 1, 2015
    Russia
    Moscow city
    (actually, I hope they do. This will eradicate the remaining rxTools userbase)
     
    Magical Sheep likes this.
  13. xtheman

    xtheman GBAtemp Guru

    Member
    5,844
    5,265
    Jan 28, 2016
    United States
    If your in emunand then just update your emunand.
    If your on 10.3 sysnand then follow this guide to downgrade and setup cfw https://plailect.github.io/Guide/